PARTITION(8)

NAME
partition - make a partition table

SYNOPSIS
partition [-mfn] device [type:]length[+*] ...

DESCRIPTION
Partition makes a partition table on device using the types and sizes given. It may be used in combination with repartition(8) for automatic installation of MINIX 3.

You may give up to four type:length[+*] specifications for the partitions. You may also specify holes before, between, and after the partitions. A hole differs from a partition specification by not having a type.

The first hole is by default 1 sector to make space for the primary bootstrap and the partition table. The other holes are 0.

The type field is the type of the partitition in hexadecimal. The length field is the partition's size in sectors. The + or * may optionally be added to indicate that the partition must be expanded to contain any leftover space on the device or to mark the partition active.

Instead of a length you may use the word exist to indicate that an existing partition of the given type must be kept from the old partition table.

Partitions are padded out to cylinder boundaries, except for the first one, it starts on track 1. Some operating systems care about this. MINIX 3 and MS-DOS do not.

OPTIONS

-m  MINIX 3 only, no need to pad partitions. This is the default for subpartition tables.

-f  Force making a partition table even if the device is too small.

-n  Play-act, don't write the new table, just show what it would look like.

EXAMPLE
partition /dev/hd0 01:16384 81:40000 81:2880* 06:20000+

Partitions disk 0 into an 8 Mb DOS partition, 20 Mb MINIX 3 /usr, 1.44 Mb MINIX 3 / (active), and a DOS partition of at least 10 Mb at the end of the disk. (06:0+ would have been ok too, it's just a sanity check.)

SEE ALSO
hd(4), part(8), repartition(8).

AUTHOR
Kees J. Bot (kjb@cs.vu.nl)